Package com.collibra.dgc.core.api.dto.meta.attributetype

# Class AddAttributeTypeRequest

Object
AddAttributeTypeRequest

All Implemented Interfaces:
  `Serializable`

public class AddAttributeTypeRequest extends Object implements Serializable
The properties of the Attribute Type to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddAttributeTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddAttributeTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddAttributeTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getAllowedValues()`
  List of allowed values.
  `String`
  `getDescription()`
  The description of the new Attribute Type.
  `UUID`
  `getId()`
  The ID of the new Attribute Type.
  `String`
  `getIdString()`
  Deprecated.
  This method will be removed from the next major release.
  `Boolean`
  `getInteger()`
  Deprecated.
  This method will be removed from the next major release.
  `Boolean`
  `getIsInteger()`
  Whether Attribute Type holds an integer value.
  `AttributeKind`
  `getKind()`
  Required. The kind of the new Attribute Type.
  `String`
  `getLanguage()`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `String`
  `getName()`
  Required. The name of the new Attribute Type.
  `String`
  `getPublicId()`
  The public id that will be assigned to the new Attribute Type.
  `Boolean`
  `getStatisticsEnabled()`
  Whether statistics should be enabled.
  `StringType`
  `getStringType()`
  `int`
  `hashCode()`
  `void`
  `setAllowedValues(List<String> allowedValues)`
  List of allowed values.
  `void`
  `setDescription(String description)`
  The description of the new Attribute Type.
  `void`
  `setId(UUID id)`
  The ID of the new Attribute Type.
  `void`
  `setInteger(Boolean integer)`
  Deprecated.
  This method will be removed from the next major release.
  `void`
  `setIsInteger(Boolean isInteger)`
  Whether Attribute Type holds an integer value.
  `void`
  `setKind(AttributeKind kind)`
  Required. The kind of the new Attribute Type.
  `void`
  `setLanguage(String language)`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `void`
  `setName(String name)`
  Required. The name of the new Attribute Type.
  `void`
  `setPublicId(String publicId)`
  The public id that will be assigned to the new Attribute Type.
  `void`
  `setStatisticsEnabled(Boolean statisticsEnabled)`
  Whether statistics should be enabled.
  `void`
  `setStringType(StringType stringType)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddAttributeTypeRequest

    public AddAttributeTypeRequest()

- ## Method Details

  - ### getIdString

    @Deprecated public String getIdString()
    Deprecated.
    This method will be removed from the next major release.

  - ### getInteger

    @Deprecated public Boolean getInteger()
    Deprecated.
    This method will be removed from the next major release. Please use `getIsInteger()`

  - ### setInteger

    @Deprecated public void setInteger(Boolean integer)
    Deprecated.
    This method will be removed from the next major release. Please use `setIsInteger(Boolean)`
    Sets whether Attribute Type holds an integer value.
    Parameters:
      `integer` - whether Attribute Type holds an integer value

  - ### builder

    public static AddAttributeTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new Attribute Type. Should be unique within all Attribute Types.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### getPublicId

    public String getPublicId()
    The public id that will be assigned to the new Attribute Type.

    It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### getName

    public String getName()
    Required. The name of the new Attribute Type. Should be unique within all Attribute Types.

  - ### getDescription

    public String getDescription()
    The description of the new Attribute Type.

  - ### getKind

    public AttributeKind getKind()
    Required. The kind of the new Attribute Type.

  - ### getLanguage

    @Deprecated public String getLanguage()
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The script language of the new Attribute Type, for script Attribute Types.

  - ### getStatisticsEnabled

    public Boolean getStatisticsEnabled()
    Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

  - ### getIsInteger

    public Boolean getIsInteger()
    Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind "Numeric".

  - ### getAllowedValues

    public List<String> getAllowedValues()
    List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List".

  - ### getStringType

    public StringType getStringType()

  - ### setId

    public void setId(UUID id)
    The ID of the new Attribute Type. Should be unique within all Attribute Types.

    It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### setPublicId

    public void setPublicId(String publicId)
    The public id that will be assigned to the new Attribute Type.

    It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### setName

    public void setName(String name)
    Required. The name of the new Attribute Type. Should be unique within all Attribute Types.

  - ### setDescription

    public void setDescription(String description)
    The description of the new Attribute Type.

  - ### setKind

    public void setKind(AttributeKind kind)
    Required. The kind of the new Attribute Type.

  - ### setLanguage

    @Deprecated public void setLanguage(String language)
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The script language of the new Attribute Type, for script Attribute Types.

  - ### setStatisticsEnabled

    public void setStatisticsEnabled(Boolean statisticsEnabled)
    Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".

  - ### setIsInteger

    public void setIsInteger(Boolean isInteger)
    Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind "Numeric".

  - ### setAllowedValues

    public void setAllowedValues(List<String> allowedValues)
    List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List".

  - ### setStringType

    public void setStringType(StringType stringType)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`